package com.securitycontrol.background.service;

import com.securitycontrol.common.core.domain.Result;
import com.securitycontrol.entity.background.dto.DeviceDto;
import com.securitycontrol.entity.background.vo.DeviceBdVo;
import com.securitycontrol.entity.background.vo.DeviceVo;

import java.util.List;

/**
 * 设备管理
 * 业务处理接口层
 * @author 黑子
 */
public interface DeviceService {
    /**
     * 设备分页查询
     * @param dto
     * @return
     */
    List<DeviceVo> getDeviceList(DeviceDto dto);

    /**
     * 新增设备信息
     * @param dto
     * @return
     */
    Result<String> addDevice(DeviceVo dto);

    /**
     * 修改 设备信息
     * @param dto
     * @return
     */
    Result<String> updateDevice(DeviceVo dto);

    /**
     * 删除
     * @param dto
     * @return
     */
    Result<String> deleteDevice(DeviceVo dto);

    /**
     * 查询设备详情
     * @param dto
     * @return
     */
    Result<DeviceVo> getDeviceDetail(DeviceDto dto);

    /**
     * 查询安全帽的集合
     * @param dto
     * @return
     */
    Result<List<DeviceVo>> getDeviceListByType(DeviceDto dto);
}
